# version.h File Reference

log4c version information More...

`#include <log4c/defs.h>`

Go to the source code of this file.

## Defines

#define | LOG4C_MAJOR_VERSION 1
#define | LOG4C_MINOR_VERSION 2
#define | LOG4C_MICRO_VERSION 1

## Functions

const char * | log4c_version (void)

## Variables

const int | log4c_major_version
const int | log4c_minor_version
const int | log4c_micro_version

## Detailed Description

log4c version information

## Define Documentation

#define LOG4C_MAJOR_VERSION 1

constant macro holding the major version of log4c

#define LOG4C_MICRO_VERSION 1

constant macro holding the micro version of log4c

#define LOG4C_MINOR_VERSION 2

constant macro holding the minor version of log4c

## Function Documentation

const char* log4c_version | ( | void |  | ) |

Returns:
  a string containing the full log4c version

## Variable Documentation

const int log4c_major_version

constant variable holding the major version of log4c

const int log4c_micro_version

constant variable holding the micro version of log4c

const int log4c_minor_version

constant variable holding the minor version of log4c